git:
  depth: 3
  submodules: true

language: cpp


install:
  - DEPS_DIR="${TRAVIS_BUILD_DIR}/deps"
  - mkdir ${DEPS_DIR} && cd ${DEPS_DIR}
  - travis_retry wget --no-check-certificates https://github.com/Kitware/CMake/releases/download/v3.17.1/cmake-3.17.1-Linux-x86_64.tar.gz
  - echo "" > cmake_md5.txt
  - md5sum -c cmake_md5.txt
  - tar -xvf cmake-3.17.1-Linux-x86_64.tar.gz > /dev/null
  - mv cmake-3.17.1-Linux-x86_64 cmake-install
  - PATH=${DEPS_DIR}/cmake-install/bin:${PATH}


before_script:
  - sh get-aquila-modules.sh --clone
  - sh get-aquila-modules.sh --branch-set
  - sh build.sh --download-deps
  - sh build.sh --use-predownload --python 

script:
  - cd build
  - make
